
      module init
      contains 
!-----------------------------------------------------------------------
      subroutine init_run
      use cons          ,only: init_eddy,zpcons
      use flds_airglow  ,only: init_airglow
      use flds_atmos    ,only: init_atmos
      use flds_col      ,only: init_col
      use flds_dissoc   ,only: init_dissoc
      use flds_fields   ,only: init_fields
      use flds_heat     ,only: init_totheat,init_heat
      use flds_ionatm   ,only: init_ionatm
      use flds_ionzrt   ,only: init_ionzrt
      use flds_prodloss ,only: init_prodloss
      use flds_ratecoef ,only: init_ratecoef
      use flds_sodium   ,only: init_sodium
      use flds_msisatm  ,only: init_msisatm
      use flds_modelz   ,only: init_modelz,zp
      use flds_hist     ,only: init_fhist,f_hist
      implicit none
!
! Initialize field structures:
      call init_airglow
      call init_atmos
      call init_col
      call init_dissoc
      call init_fields
      call init_totheat
      call init_heat
      call init_ionatm
      call init_ionzrt
      call init_prodloss
      call init_ratecoef
      call init_sodium
      call init_msisatm
      call init_modelz

      zp = zpcons ! whole array op (zpcons was defined in cons.F)
!
! Initialize fields for history files:
      call init_fhist
!
! Eddy diffusion coefficients:
      call init_eddy

      end subroutine init_run

      end module init
